commit 62eab38cc8b135cb2d356f3cae23e005c6b45bcd
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Mon Apr 20 23:32:48 2020 +0100

        Fix spool space check to account for SIZE.  Bug 2552
    
        (cherry picked from commit dd6711f05c57e1e284306ccc9bb6cd6c926cea01)

diff --git a/src/src/receive.c b/src/src/receive.c
index 350c4eda8..bafd91b0b 100644
--- a/src/src/receive.c
+++ b/src/src/receive.c
@@ -270,8 +270,8 @@ if (check_spool_space > 0 || msg_size > 0 || check_spool_inodes > 0)
       "check_space = " PR_EXIM_ARITH "K inodes = %d msg_size = %d\n",
       space, inodes, check_spool_space, check_spool_inodes, msg_size);
 
-  if ((space >= 0 && space < check_spool_space) ||
-      (inodes >= 0 && inodes < check_spool_inodes))
+  if (  space >= 0 && space + msg_size / 1024 < check_spool_space
+     || inodes >= 0 && inodes < check_spool_inodes)
     {
     log_write(0, LOG_MAIN, "spool directory space check failed: space="
       PR_EXIM_ARITH " inodes=%d", space, inodes);

